Skip to main content
GET
/
api
/
v1
/
custom-fields
List active custom fields
curl --request GET \
  --url https://api.railmail.app/api/v1/custom-fields \
  --header 'X-API-Key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "<string>",
    "displayName": "<string>",
    "description": "<string>",
    "type": "<string>",
    "status": "<string>",
    "isSystem": true,
    "isRequired": true,
    "defaultValue": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "archivedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

X-API-Key
string
header
required

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Response

Active custom fields

id
string<uuid>
key
string
displayName
string
description
string | null
type
string
status
string
isSystem
boolean
isRequired
boolean
defaultValue
string | null
createdAt
string<date-time>
updatedAt
string<date-time>
archivedAt
string<date-time> | null